Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/FixINATRS.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/FixINATRS.groovy	(revision 2931)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/FixINATRS.groovy	(revision 2932)
@@ -1,27 +0,0 @@
-import org.txm.utils.ConsoleProgressBar
-import org.kohsuke.args4j.*
-import groovy.transform.Field
-import org.txm.rcp.swt.widget.parameters.*
-
-@Field @Option(name="trsDirectory", usage="Dossier qui contient les fichiers TRS à corriger", widget="Folder", required=true, def="AF")
-def trsDirectory
-
-if (!ParametersDialog.open(this)) return;
-
-println "Fixing $trsDirectory"
-def files = trsDirectory.listFiles()
-ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
-for (File trsFile : files) {
-//File trsFile = new File(directory, "AFE86004868.trs")
-	cpb.tick()
-	if (!trsFile.getName().endsWith(".trs")) {
-		continue;
-	}
-	String content = trsFile.getText("UTF-8")
-	content = content.replaceAll("punct=\"([^\"]+)\"\">", "punct=\"\$1\">")
-	content = content.replaceAll("<unk>", "???")
-	content = content.replaceAll(" Time=\"", " time=\"")
-	trsFile.setText(content, "UTF-8")
-}
-cpb.done()
-println "Done"
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/BuildAFMetadataMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/BuildAFMetadataMacro.groovy	(revision 2931)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/BuildAFMetadataMacro.groovy	(revision 2932)
@@ -46,7 +46,7 @@
 	columnsToCopy.put("Notes du titre", "subtitle");
 	columnsToCopy.put("Titre propre", "title"); 
 	columnsToCopy.put("Date de diffusion", "textorder");
-	columnsToCopy.put("Date de diffusion", "annee");
+	//columnsToCopy.put("Date de diffusion", "annee");
 	
 	searchAndReplaceRules.put("textorder", ["([0-9][0-9])/([0-9][0-9])/([0-9][0-9][0-9][0-9])", '$3$2$1'] as String[]); // not working yet
 	searchAndReplaceRules.put("annee", ["([0-9][0-9])/([0-9][0-9])/([0-9][0-9][0-9][0-9])", '$3'] as String[]); // not working yet
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/FixINATRSMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/FixINATRSMacro.groovy	(revision 0)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/transcription/FixINATRSMacro.groovy	(revision 2932)
@@ -0,0 +1,27 @@
+import org.txm.utils.ConsoleProgressBar
+import org.kohsuke.args4j.*
+import groovy.transform.Field
+import org.txm.rcp.swt.widget.parameters.*
+
+@Field @Option(name="trsDirectory", usage="Dossier qui contient les fichiers TRS à corriger", widget="Folder", required=true, def="AF")
+def trsDirectory
+
+if (!ParametersDialog.open(this)) return;
+
+println "Fixing $trsDirectory"
+def files = trsDirectory.listFiles()
+ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
+for (File trsFile : files) {
+//File trsFile = new File(directory, "AFE86004868.trs")
+	cpb.tick()
+	if (!trsFile.getName().endsWith(".trs")) {
+		continue;
+	}
+	String content = trsFile.getText("UTF-8")
+	content = content.replaceAll("punct=\"([^\"]+)\"\">", "punct=\"\$1\">")
+	content = content.replaceAll("<unk>", "???")
+	content = content.replaceAll(" Time=\"", " time=\"")
+	trsFile.setText(content, "UTF-8")
+}
+cpb.done()
+println "Done"
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2931)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2932)
@@ -2374,7 +2374,6 @@
 		
 		
 		try {
-			
 			// compute the parent if needed
 			if (this.parent != null && !(this.parent instanceof Project) && !(this.parent instanceof Workspace)
 					&& !this.parent.isComputing()) {
